CREATE DATABASE [millistream]
GO
USE [millistream]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[trades] (
	[insref] [numeric](20, 0) NOT NULL,
	[tradeprice] [float] NULL,
	[tradeyield] [float] NULL,
	[tradequantity] [float] NULL,
	[tradereference] [varchar](255) COLLATE Latin1_General_CS_AS NOT NULL,
	[tradecode] [int] NOT NULL,
	[mmt] [char](14) COLLATE Latin1_General_CS_AS NULL,
	[tradetype] [varchar](10) NULL,
	[buyer] [varchar](64) NULL,
	[seller] [varchar](64) NULL,
	[executedside] [char](1) NULL,
	[canceltime] [time](6) NULL,
	[agreementtime] [time](6) NULL,
	[agreementdate] [date] NULL,
	[executionvenue] [varchar](255) NULL,
	[currency] [varchar](4) NULL,
	[time] [time](6) NOT NULL,
	[date] [date] NOT NULL,
	CONSTRAINT [trades_pk] PRIMARY KEY CLUSTERED ([insref] ASC, [date] ASC, [tradereference] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[stats] (
	[name] [varchar](255) NOT NULL,
	[value] [varchar](255) NOT NULL
	CONSTRAINT [stats_pk] PRIMARY KEY CLUSTERED ([name] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[quotes] (
	[insref] [numeric](20, 0) NOT NULL,
	[bidprice] [float] NULL,
	[bidquantity] [float] NULL,
	[askprice] [float] NULL,
	[askquantity] [float] NULL,
	[lastprice] [float] NULL,
	[dayhighprice] [float] NULL,
	[daylowprice] [float] NULL,
	[quantity] [numeric](20, 0) NULL,
	[internalquantity] [numeric](20, 0) NULL,
	[offbookquantity] [numeric](20, 0) NULL,
	[darkquantity] [numeric](20, 0) NULL,
	[turnover] [numeric](38, 7) NULL,
	[internalturnover] [numeric](38, 7) NULL,
	[offbookturnover] [numeric](38, 7) NULL,
	[darkturnover] [numeric](38, 7) NULL,
	[numtrades] [numeric](20, 0) NULL,
	[openprice] [float] NULL,
	[bidyield] [float] NULL,
	[askyield] [float] NULL,
	[lastyield] [float] NULL,
	[openyield] [float] NULL,
	[dayhighyield] [float] NULL,
	[daylowyield] [float] NULL,
	[nav] [float] NULL,
	[tis] [float] NULL,
	[vwap] [float] NULL,
	[pluspaid] [int] NULL,
	[minuspaid] [int] NULL,
	[unchangedpaid] [int] NULL,
	[duration] [float] NULL,
	[settlementprice] [float] NULL,
	[time] [time](0) NULL,
	[date] [date] NULL,
	CONSTRAINT [quotes_pk] PRIMARY KEY CLUSTERED ([insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[quotesex] (
	[insref] [numeric](20, 0) NOT NULL,
	[bidprice] [float] NULL,
	[bidquantity] [float] NULL,
	[askprice] [float] NULL,
	[askquantity] [float] NULL,
	[lastprice] [float] NULL,
	[dayhighprice] [float] NULL,
	[daylowprice] [float] NULL,
	[quantity] [numeric](20, 0) NULL,
	[turnover] [numeric](38, 7) NULL,
	[numtrades] [numeric](20, 0) NULL,
	[time] [time](0) NULL,
	[date] [date] NULL,
	CONSTRAINT [quotesex_pk] PRIMARY KEY CLUSTERED ([insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[pricehistory] (
	[insref] [numeric](20, 0) NOT NULL,
	[type] [smallint] NULL,
	[closebidprice] [float] NULL,
	[closeaskprice] [float] NULL,
	[closetradeprice] [float] NULL,
	[closeprice] [float] NULL,
	[closedayhighprice] [float] NULL,
	[closedaylowprice] [float] NULL,
	[closequantity] [numeric](20, 0) NULL,
	[closeinternalquantity] [numeric](20, 0) NULL,
	[closeoffbookquantity] [numeric](20, 0) NULL,
	[closedarkquantity] [numeric](20, 0) NULL,
	[closeturnover] [numeric](38, 7) NULL,
	[closeinternalturnover] [numeric](38, 7) NULL,
	[closeoffbookturnover] [numeric](38, 7) NULL,
	[closedarkturnover] [numeric](38, 7) NULL,
	[openprice] [float] NULL,
	[numtrades] [numeric](20, 0) NULL,
	[openyield] [float] NULL,
	[closebidyield] [float] NULL,
	[closeaskyield] [float] NULL,
	[closeyield] [float] NULL,
	[closedayhighyield] [float] NULL,
	[closedaylowyield] [float] NULL,
	[closenav] [float] NULL,
	[closetis] [float] NULL,
	[closevwap] [float] NULL,
	[mcap] [numeric](38, 7) NULL,
	[settlementprice] [float] NULL,
	[lastmodified] [datetime] NULL,
	[time] [time](0) NOT NULL,
	[date] [date] NOT NULL,
	CONSTRAINT [pricehistory_pk] PRIMARY KEY CLUSTERED ([insref] ASC, [date] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[adjustedpricehistory] (
	[insref] [numeric](20, 0) NOT NULL,
	[type] [smallint] NULL,
	[closebidprice] [float] NULL,
	[closeaskprice] [float] NULL,
	[closetradeprice] [float] NULL,
	[closeprice] [float] NULL,
	[closedayhighprice] [float] NULL,
	[closedaylowprice] [float] NULL,
	[closequantity] [numeric](20, 0) NULL,
	[closeinternalquantity] [numeric](20, 0) NULL,
	[closeoffbookquantity] [numeric](20, 0) NULL,
	[closedarkquantity] [numeric](20, 0) NULL,
	[closeturnover] [numeric](38, 7) NULL,
	[closeinternalturnover] [numeric](38, 7) NULL,
	[closeoffbookturnover] [numeric](38, 7) NULL,
	[closedarkturnover] [numeric](38, 7) NULL,
	[openprice] [float] NULL,
	[numtrades] [numeric](20, 0) NULL,
	[openyield] [float] NULL,
	[closebidyield] [float] NULL,
	[closeaskyield] [float] NULL,
	[closeyield] [float] NULL,
	[closedayhighyield] [float] NULL,
	[closedaylowyield] [float] NULL,
	[closenav] [float] NULL,
	[closetis] [float] NULL,
	[closevwap] [float] NULL,
	[mcap] [numeric](38, 7) NULL,
	[settlementprice] [float] NULL,
	[lastmodified] [datetime] NULL,
	[time] [time](0) NOT NULL,
	[date] [date] NOT NULL,
	CONSTRAINT [adjustedpricehistory_pk] PRIMARY KEY CLUSTERED ([insref] ASC, [date] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[orderbooks] (
	[insref] [numeric](20, 0) NOT NULL,
	[price] [float] NOT NULL,
	[quantity] [float] NULL,
	[side] [char](1) NOT NULL,
	[numorders] [smallint] NULL,
	[counterparties] [varchar](255) NULL,
	[mmo] [smallint] NULL,
	[time] [time](6) NOT NULL,
	[date] [date] NOT NULL,
	CONSTRAINT [orderbook_pk] PRIMARY KEY CLUSTERED ([insref] ASC, [price] ASC, [side] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[mbo] (
	[insref] [numeric](20, 0) NOT NULL,
	[id] [numeric](20, 0) NOT NULL,
	[id_source] [varchar](255) NULL,
	[side] [smallint] NULL,
	[priority] [numeric](20, 0) NULL,
	[price] [float] NULL,
	[quantity] [float] NULL,
	[participant] [varchar](255) NULL,
	[mmo] [smallint] NULL,
	[time] [time](6) NOT NULL,
	[date] [date] NOT NULL,
	CONSTRAINT [mbo_pk] PRIMARY KEY CLUSTERED ([insref] ASC, [id] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[news] (
	[newsref] [numeric](20, 0) NOT NULL,
	[headline] [nvarchar](255) NOT NULL,
	[text] [nvarchar](max) NULL,
	[newstype] [smallint] NULL,
	[subject] [smallint] NULL,
	[regulatory] [smallint] NULL,
	[language] [char](2) NULL,
	[newsid] [char](36) NOT NULL,
	[groupid] [char](36) NULL,
	[replaces] [char](36) NULL,
	[originalcode] [varchar](255) NULL,
	[rank] [smallint] NULL,
	[impact] [smallint] NULL,
	[package] [numeric](20, 0) NULL,
	[lastmodified] [datetime] NULL,
	[time] [time](0) NOT NULL,
	[date] [date] NOT NULL,
	CONSTRAINT [news_pk] PRIMARY KEY CLUSTERED ([newsid] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
CREATE INDEX [IX_NEWS] ON [news] ([newsref],[date]);
GO

CREATE TABLE [dbo].[listmappings] (
	[list] [numeric](20, 0) NOT NULL,
	[insref] [numeric](20, 0) NOT NULL
	CONSTRAINT [listmappings_pk] PRIMARY KEY CLUSTERED ([list] ASC, [insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE INDEX [IX_LISTMAPPINGS] ON [listmappings] ([insref]);
GO

CREATE TABLE [dbo].[instruments] (
	[insref] [numeric](20, 0) NOT NULL,
	[symbol] [varchar](50) NULL,
	[isin] [char](12) NULL,
	[name] [nvarchar](255) NULL,
	[sourcename] [nvarchar](255) NULL,
	[boardlot] [int] NULL,
	[instrumenttype] [smallint] NULL,
	[instrumentsubtype] [smallint] NULL,
	[instrumentclass] [smallint] NULL,
	[instrumentsubclass] [varchar](30) NULL,
	[instrumentsubsubclass] [varchar](120) NULL,
	[derivativeindicator] [smallint] NULL,
	[exercisetype] [smallint] NULL,
	[issuecurrency] [varchar](4) NULL,
	[tradecurrency] [varchar](4) NULL,
	[basecurrency] [varchar](4) NULL,
	[quotecurrency] [varchar](4) NULL,
	[issuedate] [date] NULL,
	[strikedate] [date] NULL,
	[strikeprice] [float] NULL,
	[marketplace] [numeric](20, 0) NULL,
	[primarymarketplace] [numeric](20, 0) NULL,
	[primaryshare] [numeric](20, 0) NULL,
	[submarket] [numeric](20, 0) NULL,
	[sector] [numeric](20,0) NULL,
	[company] [numeric](20, 0) NULL,
	[fundppmcode] [int] NULL,
	[fundpmicode] [varchar](11) NULL,
	[fundcompany] [numeric](20, 0) NULL,
	[country] [char](2) NULL,
	[freetextcomment] [varchar](255) NULL,
	[numberofshares] [numeric](20, 0) NULL,
	[numberofprefshares] [numeric](20, 0) NULL,
	[nominalvalue] [float] NULL,
	[mic] [char](5) NULL,
	[operatingmic] [char](5) NULL,
	[tradestate] [smallint] NULL,
	[tradestateactions] [smallint] NULL,
	[chairman] [nvarchar](60) NULL,
	[ceo] [nvarchar](255) NULL,
	[website] [nvarchar](255) NULL,
	[orgnum] [varchar](11) NULL,
	[orgnum_no] [numeric](9, 0) NULL,
	[cvr] [int] NULL,
	[y_tunnus] [varchar](9) NULL,
	[kennitala] [numeric](10, 0) NULL,
	[cik] [numeric](10, 0) NULL,
	[shortdescription] [nvarchar](max) NULL,
	[description] [nvarchar](max) NULL,
	[genderceo] [char](1) NULL,
	[genderchairman] [char](1) NULL,
	[birthyearceo] [smallint] NULL,
	[birthyearchairman] [smallint] NULL,
	[address] [nvarchar](255) NULL,
	[postalcode] [nvarchar](255) NULL,
	[city] [nvarchar](50) NULL,
	[telephone] [varchar](40) NULL,
	[fax] [varchar](40) NULL,
	[email] [nvarchar](255) NULL,
	[importantevents] [nvarchar](max) NULL,
	[contractsize] [float] NULL,
	[baseratio] [float] NULL,
	[sourceid] [varchar](32) NULL,
	[issuer] [varchar](255) NULL,
	[issuername] [nvarchar](255) NULL,
	[ongoingcharge] [float] NULL,
	[fundyearlymgmtfee] [float] NULL,
	[fundppmfee] [float] NULL,
	[fundleverage] [float] NULL,
	[funddirection] [varchar](5) NULL,
	[fundbenchmark] [nvarchar](255) NULL,
	[fundbenchmarkinsref] [numeric](20, 0) NULL,
	[fundppmtype] [varchar](255) NULL,
	[fundrisk] [smallint] NULL,
	[prospectus] [nvarchar](max) NULL,
	[geofocusregion] [nvarchar](20) NULL,
	[geofocuscountry] [nvarchar](20) NULL,
	[openinterest] [float] NULL,
	[geniumid] [int] NULL,
	[cusip] [varchar](9) NULL,
	[wkn] [varchar](6) NULL,
	[ucits] [smallint] NULL,
	[inceptiondate] [date] NULL,
	[barrierprice] [float] NULL,
	[ceoadmissiondate] [date] NULL,
	[chairmanadmissiondate] [date] NULL,
	[coupondate] [date] NULL,
	[couponrate] [float] NULL,
	[couponfrequency] [smallint] NULL,
	[fundmcap] [float] NULL,
	[fundminadditionalamount] [float] NULL,
	[fundminstartamount] [float] NULL,
	[fundminsubscriptionamount] [float] NULL,
	[fundperformancefee] [float] NULL,
	[purchasefee] [float] NULL,
	[salesfee] [float] NULL,
	[totalfee] [float] NULL,
	[morningstarrating] [smallint] NULL,
	[tradedthroughdate] [date] NULL,
	[dividendtype] [smallint] NULL,
	[dividendfrequency] [smallint] NULL,
	[pricingfrequency] [smallint] NULL,
	[eusipa] [int] NULL,
	[convertfromdate] [date] NULL,
	[converttodate] [date] NULL,
	[conversionprice] [float] NULL,
	[specialcondition] [int] NULL,
	[settlementtype] [smallint] NULL,
	[votingpower] [float] NULL,
	[cap] [float] NULL,
	[pricetype] [smallint] NULL,
	[volumedimension] [smallint] NULL,
	[quotingtype] [smallint] NULL,
	[asiantailstart] [date] NULL,
	[asiantailend] [date] NULL,
	[logotype] [nvarchar](max) NULL,
	[ticktable] [numeric](20, 0) NULL,
	[contractvalue] [float] NULL,
	[financinglevel] [float] NULL,
	[unitlinkcompany] [varchar](255) NULL,
	[participationrate] [float] NULL,
	[issueprice] [float] NULL,
	[fiinstitutenumber] [numeric](20, 0) NULL,
	[kiid] [nvarchar](max) NULL,
	[cfi] [char](6) NULL,
	[maxlevel] [float] NULL,
	[outstandingamount] [float] NULL,
	[interestrate] [float] NULL,
	[marketmaker] [varchar](255) NULL,
	[marketopendays] [int] NULL,
	[marketopen] [time](0) NULL,
	[marketclose] [time](0) NULL,
	[marketearlyclose] [time](0) NULL,
	[legalstructure] [varchar](255) NULL,
	[productcode] [varchar](20) NULL,
	[latestyearendreport] [varchar](4) NULL,
	[csr] [float] NULL,
	[activeshare] [float] NULL,
	[trackingerror] [float] NULL,
	[figi] [varchar](12) NULL,
	[figicomposite] [varchar](12) NULL,
	[figishareclass] [varchar](12) NULL,
	[figisecuritytype] [varchar](40) NULL,
	[daycountconvention] [smallint] NULL,
	[expirationtype] [smallint] NULL,
	[tenor] [varchar](5) NULL,
	[swingfactor] [float] NULL,
	[swingfactorsub] [float] NULL,
	[swingmethod] [smallint] NULL,
	[clearing] [varchar](255) NULL,
	[applicablenav] [varchar](10) NULL,
	[fundcutofftime] [varchar](20) NULL,
	[shareclass] [varchar](4) NULL,
	[lastmodified] [datetime] NULL,
	[time] [time](0) NULL,
	[date] [date] NULL,
	CONSTRAINT [instruments_pkey] PRIMARY KEY CLUSTERED ([insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[corporateactions] (
	[insref] [numeric](20, 0) NOT NULL,
	[name] [nvarchar] (255) NULL,
	[symbol] [varchar] (255) NULL,
	[isin] [char] (12) NULL,
	[marketplace] [numeric] (20,0) NULL,
	[list] [varchar] (255) NULL,
	[underlyingid] [varchar] (255) NULL,
	[type] [smallint] NOT NULL,
	[subtype] [smallint] NULL,
	[dividend] [float] NULL,
	[netdividend] [float] NULL,
	[adjustmentfactor] [float] NULL,
	[redemptionprice] [float] NULL,
	[numberofshares] [numeric](20, 0) NULL,
	[numberofprefshares] [numeric](20, 0) NULL,
	[numberofsharesdelta] [numeric](20, 0) NULL,
	[newshares] [float] NULL,
	[oldshares] [float] NULL,
	[subscriptionprice] [float] NULL,
	[period] [varchar](19) NULL,
	[fiscalperiod] [varchar](19) NULL,
	[nominalvalue] [float] NULL,
	[boardlot] [int] NULL,
	[recorddate] [date] NULL,
	[paymentdate] [date] NULL,
	[announcementdate] [date] NULL,
	[tid] [float] NULL,
	[closeprice] [float] NULL,
	[issuecurrency] [varchar](4) NULL,
	[tradecurrency] [varchar](4) NULL,
	[freetextcomment1] [nvarchar](255) NULL,
	[freetextcomment2] [nvarchar](255) NULL,
	[freetextcomment3] [nvarchar](255) NULL,
	[freetextcomment4] [nvarchar](255) NULL,
	[freetextcomment5] [nvarchar](255) NULL,
	[votingpowerprc] [float] NULL,
	[capitalprc] [float] NULL,
	[mcap] [float] NULL,
	[eventlink] [char](36) NULL,
	[eventlinklanguages] [varchar](255) NULL,
	[eventstatus] [smallint] NULL,
	[shareclass] [varchar](4) NULL,
	[lastmodified] [datetime] NULL,
	[date] [date] NOT NULL,
	[time] [time](0) NOT NULL,
	CONSTRAINT [corporateactions_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [date] ASC, [time] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE INDEX [IX_CORPORATEACTIONS_1] ON [corporateactions] ([insref],[type],[date]);
CREATE INDEX [IX_CORPORATEACTIONS_2] ON [corporateactions] ([insref],[type],[subtype],[date]);
GO

CREATE TABLE [dbo].[fundamentals] (
	[insref] [numeric](20, 0) NOT NULL,
	[sales] [float] NULL,
	[ebit] [float] NULL,
	[ebita] [float] NULL,
	[ebitda] [float] NULL,
	[financialincome] [float] NULL,
	[financialcost] [float] NULL,
	[ptp] [float] NULL,
	[np] [float] NULL,
	[eps] [float] NULL,
	[eps_ttm] [float] NULL,
	[eps_last] [float] NULL,
	[dilutedeps] [float] NULL,
	[netfinancialincome] [float] NULL,
	[equityratio] [float] NULL,
	[numberofshares] [float] NULL,
	[operatingcashflow] [float] NULL,
	[gp] [float] NULL,
  	[intangibleasset] [float] NULL,
  	[goodwill] [float] NULL,
  	[fixedasset] [float] NULL,
  	[financialasset] [float] NULL,
  	[noncurrentasset] [float] NULL,
  	[inventory] [float] NULL,
  	[othercurrentasset] [float] NULL,
  	[accountsreceivable] [float] NULL,
  	[otherreceivables] [float] NULL,
  	[shortterminv] [float] NULL,
  	[cce] [float] NULL,
  	[currentassets] [float] NULL,
  	[totalassets] [float] NULL,
  	[shequity] [float] NULL,
  	[minorityinterest] [float] NULL,
  	[provisions] [float] NULL,
  	[ltliabilities] [float] NULL,
  	[curliabilities] [float] NULL,
  	[totsheqliabilities] [float] NULL,
  	[nibl] [float] NULL,
  	[ibl] [float] NULL,
  	[cashflowbwc] [float] NULL,
  	[cashflowawc] [float] NULL,
  	[cashflowia] [float] NULL,
  	[cashflowfa] [float] NULL,
  	[cashflowtotal] [float] NULL,
  	[fcff] [float] NULL,
  	[netinterestincome] [float] NULL,
  	[interestincome] [float] NULL,
  	[otherfinancialincome] [float] NULL,
  	[interestexpense] [float] NULL,
  	[otherfinancialexpense] [float] NULL,
  	[minorityinterestres] [float] NULL,
  	[capex] [float] NULL,
  	[rouamortization] [float] NULL,
  	[accountspayable] [float] NULL,
	[eventlink] [char](36) NULL,
	[eventlinklanguages] [varchar](255) NULL,
  	[numemployees] [float] NULL,
  	[dividend] [float] NULL,
  	[incomepropman] [float] NULL,
	[period] [varchar](7) NOT NULL,
	[fiscalperiod] [char](19) NULL,
	[currency] [char](3) NOT NULL,
	[adjustmentfactor] [float] NULL,
	[source] [char](15) NOT NULL,
	[date] [date] NOT NULL,
	[announcementdate] [date] NULL,
	[dy] [float] NULL,
	[per_ttm] [float] NULL,
	[per_last] [float] NULL,
	[psr_ttm] [float] NULL,
	[psr_last] [float] NULL,
	[pbr] [float] NULL,
	[pcf_ttm] [float] NULL,
	[pcf_last] [float] NULL,
	[sps_ttm] [float] NULL,
	[sps_last] [float] NULL,
	[bvps] [float] NULL,
	[cfps_ttm] [float] NULL,
	[cfps_last] [float] NULL,
	[roe_ttm] [float] NULL,
	[roe_last] [float] NULL,
	[roa_ttm] [float] NULL,
	[roa_last] [float] NULL,
	[gm] [float] NULL,
	[gm_ttm] [float] NULL,
	[om] [float] NULL,
	[om_ttm] [float] NULL,
	[pm] [float] NULL,
	[pm_ttm] [float] NULL,
	[der] [float] NULL,
	[nd_ebitda_ttm] [float] NULL,
	[nd_ebitda_last] [float] NULL,
	[dpr] [float] NULL,
	[roic_ttm] [float] NULL,
	[roic_last] [float] NULL,
	[peg_ttm] [float] NULL,
	[peg_last] [float] NULL,
	[closeprice] [float] NULL,
	[lastmodified] [datetime] NULL,
	CONSTRAINT [fundamentals_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [period] ASC, [currency] ASC, [source] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE INDEX [IDX_FUNDAMENTALS] ON [fundamentals] ([insref],[period]);
GO

CREATE TABLE [dbo].[estimates] (
	[insref] [numeric](20, 0) NOT NULL,
	[period] [varchar](7) NOT NULL,
	[field] [varchar](30) NOT NULL,
	[aspect] [varchar](10) NOT NULL,
	[type] [varchar](20) NOT NULL,
	[unit] [varchar](255),
	[average] [float] NULL,
	[min] [float] NULL,
	[max] [float] NULL,
	[count] [int] NULL,
	[currency] [char](3) NOT NULL,
	[source] [char](15) NOT NULL,
	[lastmodified] [datetime] NULL,
	[date] [date] NOT NULL,
	[time] [time](0) NOT NULL,
	CONSTRAINT [estimates_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [period] ASC, [field] ASC, [aspect] ASC, [type] ASC, [currency] ASC, [source] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[estimateshistory] (
	[insref] [numeric](20, 0) NOT NULL,
	[period] [varchar](7) NOT NULL,
	[field] [varchar](30) NOT NULL,
	[aspect] [varchar](10) NOT NULL,
	[type] [varchar](20) NOT NULL,
	[unit] [varchar](255),
	[average] [float] NULL,
	[min] [float] NULL,
	[max] [float] NULL,
	[count] [int] NULL,
	[currency] [char](3) NOT NULL,
	[source] [char](15) NOT NULL,
	[lastmodified] [datetime] NULL,
	[date] [date] NOT NULL,
	[time] [time](0) NOT NULL,
	CONSTRAINT [estimateshistory_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [date] ASC, [period] ASC, [field] ASC, [aspect] ASC, [type] ASC, [currency] ASC, [source] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[performance] (
	[insref] [numeric](20, 0) NOT NULL,
	[closebidprice1d] [float] NULL,
	[closebidprice1w] [float] NULL,
	[closeprice] [float] NULL,
	[closeprice1d] [float] NULL,
	[closeprice1w] [float] NULL,
	[closeprice2w] [float] NULL,
	[closeprice1m] [float] NULL,
	[closeprice3m] [float] NULL,
	[closeprice6m] [float] NULL,
	[closeprice9m] [float] NULL,
	[closeprice1y] [float] NULL,
	[closeprice2y] [float] NULL,
	[closeprice3y] [float] NULL,
	[closeprice4y] [float] NULL,
	[closeprice5y] [float] NULL,
	[closeprice6y] [float] NULL,
	[closeprice7y] [float] NULL,
	[closeprice8y] [float] NULL,
	[closeprice9y] [float] NULL,
	[closeprice10y] [float] NULL,
	[closepricewtd] [float] NULL,
	[closepricemtd] [float] NULL,
	[closepriceqtd] [float] NULL,
	[closepriceytd] [float] NULL,
	[closepricepytd] [float] NULL,
	[closepriceld] [float] NULL,
	[closebidyield1d] [float] NULL,
	[closebidyield1w] [float] NULL,
	[closeyield1d] [float] NULL,
	[closeyield1w] [float] NULL,
	[closeyield2w] [float] NULL,
	[closeyield1m] [float] NULL,
	[closeyield3m] [float] NULL,
	[closeyield6m] [float] NULL,
	[closeyield9m] [float] NULL,
	[closeyield1y] [float] NULL,
	[closeyield2y] [float] NULL,
	[closeyield3y] [float] NULL,
	[closeyield4y] [float] NULL,
	[closeyield5y] [float] NULL,
	[closeyield6y] [float] NULL,
	[closeyield7y] [float] NULL,
	[closeyield8y] [float] NULL,
	[closeyield9y] [float] NULL,
	[closeyield10y] [float] NULL,
	[closeyieldwtd] [float] NULL,
	[closeyieldmtd] [float] NULL,
	[closeyieldqtd] [float] NULL,
	[closeyieldytd] [float] NULL,
	[closeyieldpytd] [float] NULL,
	[closeyieldld] [float] NULL,
	[ath] [float] NULL,
	[atl] [float] NULL,
	[highprice1y] [float] NULL,
	[lowprice1y] [float] NULL,
	[highprice3y] [float] NULL,
	[lowprice3y] [float] NULL,
	[highprice5y] [float] NULL,
	[lowprice5y] [float] NULL,
	[highprice10y] [float] NULL,
	[lowprice10y] [float] NULL,
	[highpriceytd] [float] NULL,
	[lowpriceytd] [float] NULL,
	[closepricedate] [date] NULL,
	[closeprice1ddate] [date] NULL,
	[athdate] [date] NULL,
	[atldate] [date] NULL,
	[highprice1ydate] [date] NULL,
	[lowprice1ydate] [date] NULL,
	[highpriceytddate] [date] NULL,
	[lowpriceytddate] [date] NULL,
	[athyield] [float] NULL,
	[atlyield] [float] NULL,
	[highyield1y] [float] NULL,
	[lowyield1y] [float] NULL,
	[highyieldytd] [float] NULL,
	[lowyieldytd] [float] NULL,
	[athyielddate] [date] NULL,
	[atlyielddate] [date] NULL,
	[highyield1ydate] [date] NULL,
	[lowyield1ydate] [date] NULL,
	[highyieldytddate] [date] NULL,
	[lowyieldytddate] [date] NULL,
	[diffbid1d] [float] NULL,
	[diffbid1w] [float] NULL,
	[diff1d] [float] NULL,
	[diffex1d] [float] NULL,
	[diff1w] [float] NULL,
	[diff2w] [float] NULL,
	[diff1m] [float] NULL,
	[diff3m] [float] NULL,
	[diff6m] [float] NULL,
	[diff9m] [float] NULL,
	[diff1y] [float] NULL,
	[diff2y] [float] NULL,
	[diff3y] [float] NULL,
	[diff4y] [float] NULL,
	[diff5y] [float] NULL,
	[diff6y] [float] NULL,
	[diff7y] [float] NULL,
	[diff8y] [float] NULL,
	[diff9y] [float] NULL,
	[diff10y] [float] NULL,
	[diffld] [float] NULL,
	[diffwtd] [float] NULL,
	[diffmtd] [float] NULL,
	[diffqtd] [float] NULL,
	[diffytd] [float] NULL,
	[diffpytd] [float] NULL,
	[diffbid1dprc] [float] NULL,
	[diffbid1wprc] [float] NULL,
	[diff1dprc] [float] NULL,
	[diffex1dprc] [float] NULL,
	[diff1wprc] [float] NULL,
	[diff2wprc] [float] NULL,
	[diff1mprc] [float] NULL,
	[diff3mprc] [float] NULL,
	[diff6mprc] [float] NULL,
	[diff9mprc] [float] NULL,
	[diff1yprc] [float] NULL,
	[diff2yprc] [float] NULL,
	[diff3yprc] [float] NULL,
	[diff4yprc] [float] NULL,
	[diff5yprc] [float] NULL,
	[diff6yprc] [float] NULL,
	[diff7yprc] [float] NULL,
	[diff8yprc] [float] NULL,
	[diff9yprc] [float] NULL,
	[diff10yprc] [float] NULL,
	[diffldprc] [float] NULL,
	[diffwtdprc] [float] NULL,
	[diffmtdprc] [float] NULL,
	[diffqtdprc] [float] NULL,
	[diffytdprc] [float] NULL,
	[diffpytdprc] [float] NULL,
	[diffbidyield1d] [float] NULL,
	[diffbidyield1w] [float] NULL,
	[diffyield1d] [float] NULL,
	[diffyield1w] [float] NULL,
	[diffyield2w] [float] NULL,
	[diffyield1m] [float] NULL,
	[diffyield3m] [float] NULL,
	[diffyield6m] [float] NULL,
	[diffyield9m] [float] NULL,
	[diffyield1y] [float] NULL,
	[diffyield2y] [float] NULL,
	[diffyield3y] [float] NULL,
	[diffyield4y] [float] NULL,
	[diffyield5y] [float] NULL,
	[diffyield6y] [float] NULL,
	[diffyield7y] [float] NULL,
	[diffyield8y] [float] NULL,
	[diffyield9y] [float] NULL,
	[diffyield10y] [float] NULL,
	[diffyieldld] [float] NULL,
	[diffyieldwtd] [float] NULL,
	[diffyieldmtd] [float] NULL,
	[diffyieldqtd] [float] NULL,
	[diffyieldytd] [float] NULL,
	[diffyieldpytd] [float] NULL,
	[diffbidyield1dprc] [float] NULL,
	[diffbidyield1wprc] [float] NULL,
	[diffyield1dprc] [float] NULL,
	[diffyield1wprc] [float] NULL,
	[diffyield2wprc] [float] NULL,
	[diffyield1mprc] [float] NULL,
	[diffyield3mprc] [float] NULL,
	[diffyield6mprc] [float] NULL,
	[diffyield9mprc] [float] NULL,
	[diffyield1yprc] [float] NULL,
	[diffyield2yprc] [float] NULL,
	[diffyield3yprc] [float] NULL,
	[diffyield4yprc] [float] NULL,
	[diffyield5yprc] [float] NULL,
	[diffyield6yprc] [float] NULL,
	[diffyield7yprc] [float] NULL,
	[diffyield8yprc] [float] NULL,
	[diffyield9yprc] [float] NULL,
	[diffyield10yprc] [float] NULL,
	[diffyieldldprc] [float] NULL,
	[diffyieldwtdprc] [float] NULL,
	[diffyieldmtdprc] [float] NULL,
	[diffyieldqtdprc] [float] NULL,
	[diffyieldytdprc] [float] NULL,
	[diffyieldpytdprc] [float] NULL,
	[annualizedreturn1y] [float] NULL,
	[annualizedreturn2y] [float] NULL,
	[annualizedreturn3y] [float] NULL,
	[annualizedreturn4y] [float] NULL,
	[annualizedreturn5y] [float] NULL,
	[annualizedreturn10y] [float] NULL,
	[standarddeviation3y] [float] NULL,
	[sharperatio3y] [float] NULL,
	[normanamount] [float] NULL,
	[avgturnover1w] [float] NULL,
	[avgturnover1m] [float] NULL,
	[avgturnover3m] [float] NULL,
	[avgturnover1y] [float] NULL,
	[avgturnoverytd] [float] NULL,
	[date] [date] NULL,
	[time] [time](0) NULL,
	CONSTRAINT [performance_pkey] PRIMARY KEY CLUSTERED ([insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[keyratios] (
	[insref] [numeric](20, 0) NOT NULL,
	[dividendyield] [float] NULL,
	[per] [float] NULL,
	[per_ttm] [float] NULL,
	[per_last] [float] NULL,
	[psr] [float] NULL,
	[psr_ttm] [float] NULL,
	[psr_last] [float] NULL,
	[pbr] [float] NULL,
	[pbr_last] [float] NULL,
	[pcf] [float] NULL,
	[pcf_ttm] [float] NULL,
	[pcf_last] [float] NULL,
	[dps] [float] NULL,
	[eps] [float] NULL,
	[eps_ttm] [float] NULL,
	[eps_last] [float] NULL,
	[sps] [float] NULL,
	[sps_ttm] [float] NULL,
	[sps_last] [float] NULL,
	[bvps] [float] NULL,
	[bvps_last] [float] NULL,
	[cfps] [float] NULL,
	[cfps_ttm] [float] NULL,
	[cfps_last] [float] NULL,
	[roe] [float] NULL,
	[roe_ttm] [float] NULL,
	[roe_last] [float] NULL,
	[roa] [float] NULL,
	[roa_ttm] [float] NULL,
	[roa_last] [float] NULL,
	[gm] [float] NULL,
	[gm_ttm] [float] NULL,
	[gm_last] [float] NULL,
	[om] [float] NULL,
	[om_ttm] [float] NULL,
	[om_last] [float] NULL,
	[pm] [float] NULL,
	[pm_ttm] [float] NULL,
	[pm_last] [float] NULL,
	[mcap] [float] NULL,
	[sma20] [float] NULL,
	[sma50] [float] NULL,
	[sma200] [float] NULL,
	[rsi14] [float] NULL,
	[macd] [float] NULL,
	[der] [float] NULL,
	[der_last] [float] NULL,
	[nd_ebitda] [float] NULL,
	[nd_ebitda_ttm] [float] NULL,
	[nd_ebitda_last] [float] NULL,
	[dpr] [float] NULL,
	[roic] [float] NULL,
	[roic_ttm] [float] NULL,
	[roic_last] [float] NULL,
	[peg] [float] NULL,
	[peg_ttm] [float] NULL,
	[peg_last] [float] NULL,
	[pre_peg] [float] NULL,
	[pre_peg_ttm] [float] NULL,
	[pre_peg_last] [float] NULL,
	[date] [date] NULL,
	[time] [time](0) NULL,
	CONSTRAINT [keyratios_pkey] PRIMARY KEY CLUSTERED ([insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[greeks] (
	[insref] [numeric](20, 0) NOT NULL,
	[iv] [float] NULL,
	[ivbid] [float] NULL,
	[ivask] [float] NULL,
	[delta] [float] NULL,
	[gamma] [float] NULL,
	[rho] [float] NULL,
	[theta] [float] NULL,
	[vega] [float] NULL,
	[date] [date] NULL,
	[time] [time](0) NULL,
	CONSTRAINT [greeks_pkey] PRIMARY KEY CLUSTERED ([insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[noii] (
	[insref] [numeric](20, 0) NOT NULL,
	[bidprice] [float] NULL,
	[askprice] [float] NULL,
	[bidquantity] [float] NULL,
	[askquantity] [float] NULL,
	[lastprice] [float] NULL,
	[quantity] [float] NULL,
	[imbalance] [float] NULL,
	[direction] [smallint] NULL,
	[type] [smallint] NULL,
	[date] [date] NULL,
	[time] [time](0) NULL,
	CONSTRAINT [noii_pkey] PRIMARY KEY CLUSTERED ([insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[constituents] (
	[insref] [numeric](20, 0) NOT NULL,
	[constituent] [numeric](20, 0) NOT NULL,
	[weight] [float] NULL,
	[isin] [varchar](12) NULL,
	[currency] [varchar](4) NULL,
	CONSTRAINT [constituents_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [constituent] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE INDEX [IX_CONSTITUENTS] ON [constituents] ([constituent]);
GO

CREATE TABLE [dbo].[ticksize] (
	[insref] [numeric](20, 0) NOT NULL,
	[threshold] [float] NOT NULL,
	[increment] [float] NOT NULL,
	CONSTRAINT [ticksize_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [threshold] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[l10n] (
	[insref] [numeric](20, 0) NOT NULL,
	[language] [char](2) NOT NULL,
	[name] [nvarchar](255) NULL,
	[shortdescription] [nvarchar](max) NULL,
	[description] [nvarchar](max) NULL,
	[importantevents] [nvarchar](max) NULL,
	[prospectus] [nvarchar](max) NULL,
	[kiid] [nvarchar](max) NULL,
	[priipkid] [nvarchar](max) NULL,
	[Past_Performance_Link] [nvarchar](max) NULL,
	[Previous_Performance_Scenarios_Calculation_Link] [nvarchar](max) NULL,
	[sustaindescription] [nvarchar](max) NULL,
	[sustaininvesting1] [nvarchar](max) NULL,
	[sustaininvesting2] [nvarchar](max) NULL,
	[sustaindivesting1] [nvarchar](max) NULL,
	[sustaindivesting2] [nvarchar](max) NULL,
	[sustaininfluence] [nvarchar](max) NULL,
	[sustainmonitoring1] [nvarchar](max) NULL,
	[sustainmonitoring2] [nvarchar](max) NULL,
	[sustaincomment] [nvarchar](max) NULL,
	[Comprehension_Alert_Portfolio] [char](1) NULL,
	[Intended_target_market_retail_investor_Portfolio] [nvarchar](4000) NULL,
	[Investment_objective_Portfolio] [nvarchar](max) NULL,
	[Risk_narrative_Portfolio] [nvarchar](300) NULL,
	[Other_materially_relevant_risk_narrative_Portfolio] [nvarchar](200) NULL,
	[Type_of_underlying_Investment_Option] [nvarchar](300) NULL,
	[Capital_Guarantee] [char](1) NULL,
	[Capital_Guarantee_Level] [float] NULL,
	[Capital_Guarantee_Limitations] [nvarchar](300) NULL,
	[Capital_Guarantee_Early_Exit_Conditions] [date] NULL,
	[Capital_guarantee_Portfolio] [nvarchar](2500) NULL,
	[Possible_maximum_loss_Portfolio] [float] NULL,
	[Description_Past_Interval_Unfavourable_Scenario] [nvarchar](300) NULL,
	[Description_Past_Interval_Moderate_Scenario] [nvarchar](300) NULL,
	[Description_Past_Interval_Favourable_Scenario] [nvarchar](300) NULL,
	[Portfolio_Performance_Fees_Narrative] [nvarchar](300) NULL,
	[Portolio_Carried_Interest_Narrative] [nvarchar](300) NULL,
	[One_Off_Cost_Portfolio_Entry_Cost_Description] [nvarchar](300) NULL,
	[One_Off_Cost_Portfolio_Exit_Cost_Description] [nvarchar](300) NULL,
	[Ongoing_Costs_Portfolio_Management_Costs_Description] [nvarchar](150) NULL,
	[Cost_Dependence_Explanation] [nvarchar](150) NULL,
	[Other_comment] [nvarchar](max) NULL,
	[date] [date] NULL,
	CONSTRAINT [l10n_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [language] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[newscoding] (
	[newsref] [numeric](20, 0) NOT NULL,
	[newsid] [char](36) NOT NULL,
	[isin] [char](12) NOT NULL,
	[company] [numeric](20, 0) NOT NULL,
	[date] [date] NULL,
	CONSTRAINT [PK_newscoding] PRIMARY KEY CLUSTERED ([newsid] ASC, [newsref] ASC, [isin] ASC, [company] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE INDEX [IDX_NEWSCODING] ON [newscoding] ([isin],[newsid]);
CREATE INDEX [IDX_NEWSCODING2] ON [newscoding] ([company],[newsid]);
GO

CREATE TABLE [dbo].[newstags] (
	[newsref] [numeric](20, 0) NOT NULL,
	[newsid] [char](36) NOT NULL,
	[tag] [char](30) NOT NULL,
	[date] [date] NOT NULL,
	CONSTRAINT [PK_newstags] PRIMARY KEY CLUSTERED ([newsid] ASC, [newsref] ASC, [tag] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE INDEX [IDX_NEWSTAGS] ON [newstags] ([tag],[newsid]);
GO

CREATE TABLE [dbo].[brokers] (
	[insref] [numeric](20, 0) NOT NULL,
	[symbol] [nvarchar](255) NOT NULL,
	[name] [nvarchar](255) NOT NULL,
	CONSTRAINT [brokers_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [symbol] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ci] (
	[insref] [numeric](20, 0) NOT NULL,
	[type] [smallint] NOT NULL,
	[subtype] [smallint] NULL,
	[sequence] [int] NOT NULL,
	[s1] [nvarchar](255) NULL,
	[s2] [nvarchar](255) NULL,
	[s3] [nvarchar](255) NULL,
	[s4] [nvarchar](255) NULL,
	[s5] [nvarchar](255) NULL,
	[s6] [nvarchar](255) NULL,
	[s7] [nvarchar](255) NULL,
	[s8] [nvarchar](255) NULL,
	[s9] [nvarchar](255) NULL,
	[s10] [nvarchar](255) NULL,
	[s11] [nvarchar](255) NULL,
	[s12] [nvarchar](255) NULL,
	[s13] [nvarchar](255) NULL,
	[s14] [nvarchar](255) NULL,
	[s15] [nvarchar](255) NULL,
	[n1] [float] NULL,
	[n2] [float] NULL,
	[n3] [float] NULL,
	[n4] [float] NULL,
	[n5] [float] NULL,
	[n6] [float] NULL,
	[n7] [float] NULL,
	[n8] [float] NULL,
	[n9] [float] NULL,
	[n10] [float] NULL,
	[i1] [int] NULL,
	[i2] [int] NULL,
	[i3] [int] NULL,
	[i4] [int] NULL,
	[i5] [int] NULL,
	[i6] [int] NULL,
	[i7] [int] NULL,
	[i8] [int] NULL,
	[i9] [int] NULL,
	[i10] [int] NULL,
	[insref1] [numeric](20, 0) NULL,
	[insref2] [numeric](20, 0) NULL,
	[insref3] [numeric](20, 0) NULL,
	[insref4] [numeric](20, 0) NULL,
	[insref5] [numeric](20, 0) NULL,
	[d1] [date] NULL,
	[d2] [date] NULL,
	[d3] [date] NULL,
	[eventlink] [char](36) NULL,
	[eventlinklanguages] [varchar](255) NULL,
	[eventstatus] [smallint] NULL,
	[lastmodified] [datetime] NULL,
	CONSTRAINT [ci_pkey] PRIMARY KEY CLUSTERED ( [insref] ASC, [type] ASC, [sequence] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[cihistory] (
	[insref] [numeric](20, 0) NOT NULL,
	[type] [smallint] NOT NULL,
	[subtype] [smallint] NULL,
	[sequence] [int] NOT NULL,
	[date] [date] NOT NULL,
	[s1] [nvarchar](255) NULL,
	[s2] [nvarchar](255) NULL,
	[s3] [nvarchar](255) NULL,
	[s4] [nvarchar](255) NULL,
	[s5] [nvarchar](255) NULL,
	[s6] [nvarchar](255) NULL,
	[s7] [nvarchar](255) NULL,
	[s8] [nvarchar](255) NULL,
	[s9] [nvarchar](255) NULL,
	[s10] [nvarchar](255) NULL,
	[s11] [nvarchar](255) NULL,
	[s12] [nvarchar](255) NULL,
	[s13] [nvarchar](255) NULL,
	[s14] [nvarchar](255) NULL,
	[s15] [nvarchar](255) NULL,
	[n1] [float] NULL,
	[n2] [float] NULL,
	[n3] [float] NULL,
	[n4] [float] NULL,
	[n5] [float] NULL,
	[n6] [float] NULL,
	[n7] [float] NULL,
	[n8] [float] NULL,
	[n9] [float] NULL,
	[n10] [float] NULL,
	[i1] [int] NULL,
	[i2] [int] NULL,
	[i3] [int] NULL,
	[i4] [int] NULL,
	[i5] [int] NULL,
	[i6] [int] NULL,
	[i7] [int] NULL,
	[i8] [int] NULL,
	[i9] [int] NULL,
	[i10] [int] NULL,
	[insref1] [numeric](20, 0) NULL,
	[insref2] [numeric](20, 0) NULL,
	[insref3] [numeric](20, 0) NULL,
	[insref4] [numeric](20, 0) NULL,
	[insref5] [numeric](20, 0) NULL,
	[d1] [date] NULL,
	[d2] [date] NULL,
	[d3] [date] NULL,
	[eventlink] [char](36) NULL,
	[eventlinklanguages] [varchar](255) NULL,
	[eventstatus] [smallint] NULL,
	[lastmodified] [datetime] NULL,
	CONSTRAINT [cihistory_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [type] ASC, [sequence] ASC, [date] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[priip] (
	[insref] [numeric](20, 0) NOT NULL,
	[EPT_Version] [nvarchar](3) NULL,
	[EPT_Producer_Name] [nvarchar](255) NULL,
	[EPT_Producer_Email] [nvarchar](255) NULL,
	[File_Generation_Date_And_Time] [datetime] NULL,
	[EPT_Data_Reporting_Narratives] [char](1) NULL,
	[EPT_Data_Reporting_Costs] [char](1) NULL,
	[EPT_Data_Reporting_Additional_Requirements_German_MOPs] [char](1) NULL,
	[EPT_Additional_Information_Structured_Products] [char](1) NULL,
	[Portfolio_Issuer_Name] [nvarchar](255) NULL,
	[Portfolio_Manufacturer_Group_Name] [nvarchar](255) NULL,
	[Portfolio_Manufacturer_LEI] [nvarchar](20) NULL,
	[Portfolio_Manufacturer_Email] [nvarchar](255) NULL,
	[Portfolio_Guarantor_Name] [nvarchar](255) NULL,
	[Portfolio_Identifying_Data] [varchar](255) NULL,
	[Type_Of_Identification_Code_For_The_Fund_Share_Or_Portfolio] [smallint] NULL,
	[Portfolio_Name] [nvarchar](255) NULL,
	[Share_Class_Currency] [char](3) NULL,
	[Reference_Date] [date] NULL,
	[PRIIPs_KID_Web_Address] [nvarchar](max) NULL,
	[Portfolio_PRIIPS_Category] [smallint] NULL,
	[Fund_CIC_code] [char](4) NULL,
	[Is_An_Autocallable_Product] [char](1) NULL,
	[EOS_portfolio] [char](1) NULL,
	[Valuation_Frequency] [smallint] NULL,
	[Portfolio_VEV_Reference] [float] NULL,
	[IS_Flexible] [char](1) NULL,
	[Flex_VEV_Historical] [float] NULL,
	[Flex_VEV_Ref_Asset_Allocation] [float] NULL,
	[IS_Risk_Limit_Relevant] [char](1) NULL,
	[Flex_VEV_Risk_Limit] [float] NULL,
	[Existing_Credit_Risk] [char](1) NULL,
	[SRI] [smallint] NULL,
	[IS_SRI_Adjusted] [char](1) NULL,
	[MRM] [smallint] NULL,
	[CRM] [smallint] NULL,
	[Recommended_Holding_Period] [float] NULL,
	[Has_A_Contractual_Maturity_Date] [char](1) NULL,
	[Maturity_Date] [date] NULL,
	[Liquidity_Risk] [char](1) NULL,
	[Portfolio_return_unfavorable_scenario_1_year] [float] NULL,
	[Portfolio_return_unfavorable_scenario_half_RHP] [float] NULL,
	[Portfolio_return_unfavorable_scenario_RHP] [float] NULL,
	[Autocall_Applied_Unfavourable_Scenario] [char](1) NULL,
	[Autocall_Date_Unfavourable_Scenario] [date] NULL,
	[Portfolio_return_moderate_scenario_1_year] [float] NULL,
	[Portfolio_return_moderate_scenario_half_RHP] [float] NULL,
	[Portfolio_return_moderate_scenario_RHP] [float] NULL,
	[Autocall_Applied_Moderate_Scenario] [char](1) NULL,
	[Autocall_Date_Moderate_Scenario] [date] NULL,
	[Portfolio_return_favorable_scenario_1_year] [float] NULL,
	[Portfolio_return_favorable_scenario_half_RHP] [float] NULL,
	[Portfolio_return] [float] NULL,
	[Autocall_Applied_Favourable_Scenario] [char](1) NULL,
	[Autocall_Date_Favourable_Scenario] [date] NULL,
	[Portfolio_return_stress_scenario_1_year] [float] NULL,
	[Portfolio_return_stress_scenario_half_RHP] [float] NULL,
	[Portfolio_return_stress_scenario_RHP] [float] NULL,
	[Autocall_Applied_Stress_Scenario] [char](1) NULL,
	[Autocall_Date_Stress_Scenario] [date] NULL,
	[Portfolio_number_of_observed_return_M0] [float] NULL,
	[Portfolio_mean_observed_returns_M1] [float] NULL,
	[Portfolio_observed_Sigma] [float] NULL,
	[Portfolio_observed_Skewness] [float] NULL,
	[Portfolio_observed_Excess_Kurtosis] [float] NULL,
	[Portfolio_observed_Stressed_Volatility] [float] NULL,
	[Portfolio_Past_Performance_Disclosure_Required] [char](1) NULL,
	[Past_Performance_Link] [nvarchar](max) NULL,
	[Previous_Performance_Scenarios_Calculation_Link] [nvarchar](max) NULL,
	[Past_Performance_Number_Of_Years] [smallint] NULL,
	[Reference_Invested_Amount] [float] NULL,
	[One_off_cost_Portfolio_entry_cost] [float] NULL,
	[One_off_cost_Portfolio_entry_cost_Acquired] [float] NULL,
	[One_off_costs_Portfolio_exit_cost_at_RHP] [float] NULL,
	[One_off_costs_Portfolio_exit_cost_at_1_year] [float] NULL,
	[One_off_costs_Portfolio_exit_cost_at_half_RHP] [float] NULL,
	[One_off_costs_Portfolio_sliding_exit_cost_Indicator] [char](1) NULL,
	[Ongoing_costs_Portfolio_other_costs] [float] NULL,
	[Ongoing_costs_Portfolio_management_costs] [float] NULL,
	[Ongoing_costs_Portfolio_transaction_costs] [float] NULL,
	[Existing_performance_fees] [char](1) NULL,
	[Incidental_costs_Portfolio_performance_fees] [float] NULL,
	[Existing_carried_interest_fees] [char](1) NULL,
	[Incidental_costs_Portfolio_carried_interest] [float] NULL,
	[Reference_Language] [char](2) NULL,
	[Comprehension_Alert_Portfolio] [char](1) NULL,
	[Intended_target_market_retail_investor_Portfolio] [nvarchar](4000) NULL,
	[Investment_objective_Portfolio] [nvarchar](max) NULL,
	[Risk_narrative_Portfolio] [nvarchar](300) NULL,
	[Other_materially_relevant_risk_narrative_Portfolio] [nvarchar](200) NULL,
	[Type_of_underlying_Investment_Option] [nvarchar](300) NULL,
	[Capital_Guarantee] [char](1) NULL,
	[Capital_Guarantee_Level] [float] NULL,
	[Capital_Guarantee_Limitations] [nvarchar](300) NULL,
	[Capital_Guarantee_Early_Exit_Conditions] [date] NULL,
	[Capital_guarantee_Portfolio] [nvarchar](2500) NULL,
	[Possible_maximum_loss_Portfolio] [float] NULL,
	[Description_Past_Interval_Unfavourable_Scenario] [nvarchar](300) NULL,
	[Description_Past_Interval_Moderate_Scenario] [nvarchar](300) NULL,
	[Description_Past_Interval_Favourable_Scenario] [nvarchar](300) NULL,
	[Was_Benchmark_Used_Performance_Calculation] [char](1) NULL,
	[Portfolio_Performance_Fees_Narrative] [nvarchar](300) NULL,
	[Portolio_Carried_Interest_Narrative] [nvarchar](300) NULL,
	[One_Off_Cost_Portfolio_Entry_Cost_Description] [nvarchar](300) NULL,
	[One_Off_Cost_Portfolio_Exit_Cost_Description] [nvarchar](300) NULL,
	[Ongoing_Costs_Portfolio_Management_Costs_Description] [nvarchar](150) NULL,
	[Do_Costs_Depend_On_Invested_Amount] [char](1) NULL,
	[Cost_Dependence_Explanation] [nvarchar](150) NULL,
	[German_MOPs_Reference_Date] [date] NULL,
	[Other_comment] [nvarchar](max) NULL,
	[PRIIP_data_delivery] [char](1) NULL,
	[UCITS_data_delivery] [char](1) NULL,
	[Portfolio_UCITS_SRRI] [smallint] NULL,
	[Portfolio_UCITS_Vol] [float] NULL,
	[Ongoing_costs_Portfolio_other_costs_UCITS] [float] NULL,
	[Ongoing_costs_Portfolio_transaction_costs_UCITS] [float] NULL,
	[Transactions_costs_methodology] [nvarchar](255) NULL,
	[Incidental_costs_Portfolio_performance_fees_UCITS] [float] NULL,
	[Incidental_costs_Portfolio_carried_interest_UCITS] [float] NULL,
	[UCITS_KID_Web_Address] [nvarchar](max) NULL,
	[Bonds_Weight] [float] NULL,
	[Annualized_Return_Volatility] [float] NULL,
	[Duration_Bonds] [float] NULL,
	[Existing_Capital_Preservation] [char](1) NULL,
	[Capital_Preservation_Level] [float] NULL,
	[Time_Interval_Maximum_Loss] [varchar](10) NULL,
	[Uses_PI] [char](1) NULL,
	[Multiplier_PI] [float] NULL,
	[First_Possible_Call_Date] [date] NULL,
	[Total_cost_1_year] [float] NULL,
	[RIY_1_year] [float] NULL,
	[Total_cost_half_RHP] [float] NULL,
	[RIY_half_RHP] [float] NULL,
	[Total_cost_RHP] [float] NULL,
	[RIY_RHP] [float] NULL,
	[One_off_costs_Portfolio_entry_cost_RIY] [float] NULL,
	[One_off_costs_Portfolio_exit_cost_RIY] [float] NULL,
	[Ongoing_costs_Portfolio_transaction_costs_RIY] [float] NULL,
	[Ongoing_costs_Other_ongoing_costs_RIY] [float] NULL,
	[Incidental_costs_Portfolio_performance_fees_RIY] [float] NULL,
	[Incidental_costs_Portfolio_carried_interests_RIY] [float] NULL,
	[p08010] [varchar](7) NULL,
	[p08020] [float] NULL,
	[p08030] [smallint] NULL,
	[p08040] [float] NULL,
	[p08045] [date] NULL,
	[p08050] [date] NULL,
	[p08060] [nvarchar](max) NULL,
	[p08070] [nvarchar](2500) NULL,
	[p08080] [nvarchar](400) NULL,
	[p08090] [nvarchar](4000) NULL,
	[p08100] [nvarchar](1000) NULL,
	[p08110] [nvarchar](1000) NULL,
	[p08120] [nvarchar](1000) NULL,
	[p08130] [nvarchar](1000) NULL,
	[p08140] [float] NULL,
	[p08150] [date] NULL,
	[p08160] [nvarchar](max) NULL,
	[p08170] [smallint] NULL,
	[p08180] [float] NULL,
	[p08190] [char](1) NULL,
	[p08200] [float] NULL,
	[lastmodified] [datetime] NULL,
	CONSTRAINT [priip_pk] PRIMARY KEY CLUSTERED ([insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[mifid] (
	[insref] [numeric](20, 0) NOT NULL,
	[fisn] [varchar](35) NULL,
	[lei] [char](20) NULL,
	[EMT_Version] [char](4) NULL,
	[EMT_Producer_Name] [varchar](255),
	[EMT_Producer_LEI] [char](20),
	[EMT_Producer_Email] [varchar](255),
	[File_Generation_Date_and_Time] [datetime] NULL,
	[EMT_Data_Reporting_Target_Market] [char](1) NULL,
	[EMT_Data_Reporting_ExAnte] [char](1) NULL,
	[EMT_Data_Reporting_ExPost] [char](1) NULL,
	[Financial_Instrument_Identifying_Data] [varchar](255) NULL,
	[Type_Of_Identification_Code_For_The_Financial_Instrument] [smallint] NULL,
	[Financial_Instrument_Name] [nvarchar](255) NULL,
	[Financial_Instrument_Currency] [char](3) NULL,
	[Financial_Instrument_Performance_Fee] [char](1) NULL,
	[Financial_Instrument_Distribution_Of_Cash] [char](1) NULL,
	[Reporting_Date] [date] NULL,
	[Financial_Instrument_Legal_Structure] [varchar](2) NULL,
	[m00065] [date] NULL,
	[m00067] [char](1) NULL,
	[Financial_Instrument_Issuer_Name] [nvarchar](255) NULL,
	[Financial_Instrument_Manufacturer_LEI] [varchar](20) NULL,
	[Financial_Instrument_Manufacturer_Email] [nvarchar](255) NULL,
	[Financial_Instrument_Manufacturer_Product_Governance_Process] [char](1) NULL,
	[Financial_Instrument_Guarantor_Name] [nvarchar](255) NULL,
	[Financial_Instrument_Type_Notional_or_Item_Based] [char](1) NULL,
	[Product_Category_or_Nature] [nvarchar](255) NULL,
	[m00096] [char](1) NULL,
	[Structured_Securities_Product_Category_or_Nature] [int] NULL,
	[Structured_Securities_Quotation] [char](1) NULL,
	[Leveraged_Financial_Instrument_or_Contingent_LiabilityInstrumen] [char](1) NULL,
	[Fund_Share_Class_Without_Retrocession] [char](1) NULL,
	[Ex_Post_Cost_Calculation_Basis_Italy] [char](1) NULL,
	[Target_Market_Reference_Date] [date] NULL,
	[Investor_Type_Retail] [char](1) NULL,
	[Investor_Type_Professional] [char](1) NULL,
	[Investor_Type_Eligible_Counterparty] [char](1) NULL,
	[Basic_Investor] [char](1) NULL,
	[Informed_Investor] [char](1) NULL,
	[Advanced_Investor] [char](1) NULL,
	[Expert_Investor_Germany] [char](1) NULL,
	[No_Capital_Loss] [char](1) NULL,
	[Limited_Capital_Loss] [char](1) NULL,
	[Limited_Capital_Loss_Level] [float] NULL,
	[No_Capital_Guarantee] [char](1) NULL,
	[Loss_Beyond_Capital] [char](1) NULL,
	[Risk_Tolerance_PRIIPS_Methodology] [smallint] NULL,
	[Risk_Tolerance_UCITS_Metholodology] [smallint] NULL,
	[Risk_Tolerance_Internal_Methodology_For_Non_PRIIPS_and_NonUCITS] [char](1) NULL,
	[Risk_Tolerance_For_Non_PRIIPS_and_Non_UCITS_Spain] [smallint] NULL,
	[Not_For_Investors_With_The_Lowest_Risk_Tolerance_Germany] [char](1) NULL,
	[Return_Profile_Preservation] [char](1) NULL,
	[Return_Profile_Growth] [char](1) NULL,
	[Return_Profile_Income] [char](1) NULL,
	[Return_Profile_Hedging] [char](1) NULL,
	[Option_or_Leveraged_Return_Profile] [char](1) NULL,
	[Return_Profile_Other] [char](1) NULL,
	[Return_Profile_Pension_Scheme_Germany] [char](1) NULL,
	[Time_Horizon1] [char](1) NULL,
	[Time_Horizon2] [float] NULL,
	[m5090] [date] NULL,
	[Maturity_Date] [date] NULL,
	[May_Be_Terminated_Early] [char](1) NULL,
	[Intended_Compatible_With_Clients_Having_ESG_Preferences] [char](1) NULL,
	[Specific_Investment_Need] [char](1) NULL,
	[Other_Specific_Investment_Need] [char](1) NULL,
	[Execution_Only] [char](1) NULL,
	[Execution_With_Appropriateness_Test_Or_Non_Advised_Services] [char](1) NULL,
	[Investment_Advice] [char](1) NULL,
	[Portfolio_Management] [char](1) NULL,
	[OO_Financial_Instrument_entry_cost] [float] NULL,
	[Net_OO_cost_Financial_Instrument_entry_cost_non_acquired] [float] NULL,
	[OO_Financial_Instrument_maximum_entry_cost_fixed_amount_Italy] [float] NULL,
	[OO_Financial_Instrument_maximum_entry_cost_acquired] [float] NULL,
	[OO_Financial_Instrument_maximum_exit_cost] [float] NULL,
	[OO_Financial_Instrument_maximum_exit_cost_fixed_amount_Italy] [float] NULL,
	[OO_Financial_Instrument_maximum_exit_cost_acquired] [float] NULL,
	[OO_Financial_Instrument_Typical_exit_cost] [float] NULL,
	[OO_Financial_Instrument_exit_cost_structrd_securities_prior_RHP] [float] NULL,
	[Financial_Instrument_Ongoing_costs] [float] NULL,
	[Financial_Instrument_Gearing_costs_ex_ante_UK] [float] NULL,
	[Financial_Instrument_Management_fee] [float] NULL,
	[Financial_Instrument_Distribution_fee] [float] NULL,
	[Financial_Instrument_Transaction_costs_ex_ante] [float] NULL,
	[Financial_Instrument_Incidental_costs_ex_ante] [float] NULL,
	[Structured_Securities_Reference_Price_ex_ante] [float] NULL,
	[Structured_Securities_Notional_Reference_Amount_ex_ante] [float] NULL,
	[Ex_Ante_Costs_Reference_Date] [date] NULL,
	[OO_Structured_Securities_entry_cost_ex_post] [float] NULL,
	[Net_OO_cost_Structured_Securities_entry_cost_ex_post] [float] NULL,
	[OO_Structured_Securities_exit_cost_ex_post] [float] NULL,
	[OO_cost_Financial_Instrument_entry_cost_acquired] [float] NULL,
	[Financial_Instrument_Ongoing_costs_ex_post] [float] NULL,
	[Structured_Securities_Ongoing_costs_ex_post_accumulated] [float] NULL,
	[Financial_Instrument_Borrowing_Costs_Ex_Post_UK] [float] NULL,
	[Financial_Instrument_Management_fee_ex_post] [float] NULL,
	[Financial_Instrument_Distribution_fee_ex_post] [float] NULL,
	[Financial_Instrument_Transaction_costs_ex_post] [float] NULL,
	[Financial_Instrument_Incidental_costs_ex_post] [float] NULL,
	[Beginning_Of_Calculation_Period] [date] NULL,
	[End_Of_Calculation_Period] [date] NULL,
	[Structured_Securities_Reference_Price_ex_post] [float] NULL,
	[Structured_Securities_Notional_Reference_Amount] [float] NULL,
	[m09010] [float] NULL,
	[m09020] [float] NULL,
	[m09030] [char](1) NULL,
	[m09040] [char](1) NULL,
	[m09050] [char](1) NULL,
	[m09060] [char](1) NULL,
	[m09070] [char](1) NULL,
	[m09080] [nvarchar](max) NULL,
	[m09090] [date] NULL,
	[m09100] [date] NULL,
	[m10000] [float] NULL,
	[m10010] [float] NULL,
	[m10020] [float] NULL,
	[m10030] [float] NULL,
	[m10040] [float] NULL,
	[m10050] [float] NULL,
	[m10060] [char](1) NULL,
	[lastmodified] [datetime] NULL,
	CONSTRAINT [mifid_pk] PRIMARY KEY CLUSTERED ([insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[mifidhistory] (
	[insref] [numeric](20, 0) NOT NULL,
	[Reporting_Date] [date] NOT NULL,
	[OO_Structured_Securities_entry_cost_ex_post] [float] NULL,
	[Net_OO_cost_Structured_Securities_entry_cost_ex_post] [float] NULL,
	[OO_Structured_Securities_exit_cost_ex_post] [float] NULL,
	[OO_cost_Financial_Instrument_entry_cost_acquired] [float] NULL,
	[Financial_Instrument_Ongoing_costs_ex_post] [float] NULL,
	[Structured_Securities_Ongoing_costs_ex_post_accumulated] [float] NULL,
	[Financial_Instrument_Borrowing_Costs_Ex_Post_UK] [float] NULL,
	[Financial_Instrument_Management_fee_ex_post] [float] NULL,
	[Financial_Instrument_Distribution_fee_ex_post] [float] NULL,
	[Financial_Instrument_Transaction_costs_ex_post] [float] NULL,
	[Financial_Instrument_Incidental_costs_ex_post] [float] NULL,
	[Beginning_Of_Calculation_Period] [date] NULL,
	[End_Of_Calculation_Period] [date] NULL,
	[Structured_Securities_Reference_Price_ex_post] [float] NULL,
	[Structured_Securities_Notional_Reference_Amount] [float] NULL,
	[lastmodified] [datetime] NULL,
	CONSTRAINT [mifidhistory_pk] PRIMARY KEY CLUSTERED ([insref] ASC, [Reporting_Date] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[underlyings] (
	[insref] [numeric](20, 0) NOT NULL,
	[isin] [varchar](12) NOT NULL,
	[currency] [varchar](4) NULL,
	CONSTRAINT [underlyings_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [isin] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE INDEX [IX_UNDERLYINGS] ON [underlyings] ([isin]);
GO

CREATE TABLE [dbo].[sectors] (
	[insref] [numeric](20, 0) NOT NULL,
	[sector] [numeric](20, 0) NOT NULL,
	[marketplace] [numeric](20, 0) NOT NULL,
	CONSTRAINT [sectors_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [sector] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE INDEX [IX_SECTORS] ON [sectors] ([sector], [marketplace]);
GO

CREATE TABLE [dbo].[combolegs] (
	[insref] [numeric](20, 0) NOT NULL,
	[leg] [numeric](20, 0) NOT NULL,
	[ratio] [int] NULL,
	[side] [smallint] NULL,
	CONSTRAINT [combolegs_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [leg] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE TABLE [dbo].[aggtrades] (
	[insref] [numeric](20, 0) NOT NULL,
	[openprice] [float] NULL,
	[highprice] [float] NULL,
	[lowprice] [float] NULL,
	[closeprice] [float] NULL,
	[openyield] [float] NULL,
	[highyield] [float] NULL,
	[lowyield] [float] NULL,
	[closeyield] [float] NULL,
	[quantity] [float] NULL,
	[turnover] [float] NULL,
	[time] [datetime] NOT NULL,
	CONSTRAINT [aggtrades_pkey] PRIMARY KEY CLUSTERED ([insref] ASC, [time] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE TABLE [dbo].[eet] (
	[insref] [numeric](20, 0) NOT NULL,
	[date] [date] NOT NULL,
	[e00010] [char](6) NULL,
	[e00020] [nvarchar](255) NULL,
	[e00030] [nvarchar](255) NULL,
	[e00040] [nvarchar](255) NULL,
	[e00050] [datetime] NULL,
	[e00060] [char](1) NULL,
	[e00070] [char](1) NULL,
	[e00080] [char](1) NULL,
	[e00090] [char](1) NULL,
	[e00100] [char](1) NULL,
	[e10000] [nvarchar](255) NULL,
	[e10010] [char](1) NULL,
	[e10020] [nvarchar](255) NULL,
	[e10030] [nvarchar](255) NULL,
	[e10040] [date] NULL,
	[e11000] [char](1) NULL,
	[e11011] [float] NULL,
	[e11020] [char](1) NULL,
	[e11030] [char](1) NULL,
	[e11040] [nvarchar](50) NULL,
	[e12000] [nvarchar](50) NULL,
	[e13000] [nvarchar](255) NULL,
	[e20000] [nvarchar](255) NULL,
	[e20010] [smallint] NULL,
	[e20020] [nvarchar](255) NULL,
	[e20030] [char](3) NULL,
	[e20040] [smallint] NULL,
	[e20050] [smallint] NULL,
	[e20060] [nvarchar](50) NULL,
	[e20070] [float] NULL,
	[e20080] [float] NULL,
	[e20090] [nvarchar](2) NULL,
	[e20100] [char](1) NULL,
	[e20110] [nvarchar](max) NULL,
	[e20120] [nvarchar](max) NULL,
	[e20130] [nvarchar](max) NULL,
	[e20140] [nvarchar](max) NULL,
	[e20150] [date] NULL,
	[e20160] [nvarchar](max) NULL,
	[e20170] [char](1) NULL,
	[e20180] [float] NULL,
	[e20190] [char](1) NULL,
	[e20200] [char](1) NULL,
	[e20210] [char](1) NULL,
	[e20220] [float] NULL,
	[e20230] [char](1) NULL,
	[e20240] [char](1) NULL,
	[e20250] [float] NULL,
	[e20260] [char](1) NULL,
	[e20270] [nvarchar](50) NULL,
	[e20280] [nvarchar](50) NULL,
	[e20290] [nvarchar](50) NULL,
	[e20300] [nvarchar](50) NULL,
	[e20310] [float] NULL,
	[e20320] [smallint] NULL,
	[e20330] [float] NULL,
	[e20340] [smallint] NULL,
	[e20350] [float] NULL,
	[e20360] [smallint] NULL,
	[e20370] [char](1) NULL,
	[e20380] [nvarchar](500) NULL,
	[e20390] [date] NULL,
	[e20400] [float] NULL,
	[e20410] [nvarchar](50) NULL,
	[e20420] [float] NULL,
	[e20430] [float] NULL,
	[e20440] [float] NULL,
	[e20450] [float] NULL,
	[e20460] [float] NULL,
	[e20470] [float] NULL,
	[e20480] [date] NULL,
	[e20490] [float] NULL,
	[e20500] [float] NULL,
	[e20510] [float] NULL,
	[e20520] [float] NULL,
	[e20530] [float] NULL,
	[e20540] [float] NULL,
	[e20550] [float] NULL,
	[e20560] [float] NULL,
	[e20570] [char](1) NULL,
	[e20580] [char](1) NULL,
	[e20590] [char](1) NULL,
	[e20600] [float] NULL,
	[e20610] [float] NULL,
	[e20620] [char](1) NULL,
	[e20630] [char](1) NULL,
	[e20640] [float] NULL,
	[e20650] [float] NULL,
	[e20660] [float] NULL,
	[e20670] [float] NULL,
	[e20680] [float] NULL,
	[e20690] [float] NULL,
	[e20700] [float] NULL,
	[e20710] [float] NULL,
	[e20721] [float] NULL,
	[e20731] [float] NULL,
	[e20741] [float] NULL,
	[e20751] [float] NULL,
	[e20761] [float] NULL,
	[e20771] [float] NULL,
	[e20780] [float] NULL,
	[e20790] [float] NULL,
	[e30000] [char](1) NULL,
	[e30010] [date] NULL,
	[e30020] [float] NULL,
	[e30030] [char](1) NULL,
	[e30040] [float] NULL,
	[e30050] [float] NULL,
	[e30060] [float] NULL,
	[e30070] [char](1) NULL,
	[e30080] [float] NULL,
	[e30090] [float] NULL,
	[e30100] [float] NULL,
	[e30110] [char](1) NULL,
	[e30120] [float] NULL,
	[e30130] [float] NULL,
	[e30140] [float] NULL,
	[e30150] [char](1) NULL,
	[e30160] [float] NULL,
	[e30170] [float] NULL,
	[e30180] [float] NULL,
	[e30190] [char](1) NULL,
	[e30200] [float] NULL,
	[e30210] [float] NULL,
	[e30220] [float] NULL,
	[e30230] [char](1) NULL,
	[e30240] [float] NULL,
	[e30250] [float] NULL,
	[e30260] [float] NULL,
	[e30270] [char](1) NULL,
	[e30280] [float] NULL,
	[e30290] [float] NULL,
	[e30300] [float] NULL,
	[e30310] [char](1) NULL,
	[e30320] [float] NULL,
	[e30330] [float] NULL,
	[e30340] [float] NULL,
	[e30350] [char](1) NULL,
	[e30360] [float] NULL,
	[e30370] [float] NULL,
	[e30380] [float] NULL,
	[e30390] [char](1) NULL,
	[e30400] [float] NULL,
	[e30410] [float] NULL,
	[e30420] [float] NULL,
	[e30430] [char](1) NULL,
	[e30440] [float] NULL,
	[e30450] [float] NULL,
	[e30460] [float] NULL,
	[e30470] [char](1) NULL,
	[e30480] [float] NULL,
	[e30490] [float] NULL,
	[e30500] [float] NULL,
	[e30510] [char](1) NULL,
	[e30520] [float] NULL,
	[e30530] [float] NULL,
	[e30540] [float] NULL,
	[e30550] [char](1) NULL,
	[e30560] [float] NULL,
	[e30570] [float] NULL,
	[e30580] [float] NULL,
	[e30590] [char](1) NULL,
	[e30600] [float] NULL,
	[e30610] [float] NULL,
	[e30620] [float] NULL,
	[e30630] [char](1) NULL,
	[e30640] [float] NULL,
	[e30650] [float] NULL,
	[e30660] [float] NULL,
	[e30670] [char](1) NULL,
	[e30680] [float] NULL,
	[e30690] [float] NULL,
	[e30700] [float] NULL,
	[e30710] [char](1) NULL,
	[e30720] [float] NULL,
	[e30730] [float] NULL,
	[e30740] [float] NULL,
	[e30750] [char](1) NULL,
	[e30760] [float] NULL,
	[e30770] [float] NULL,
	[e30780] [float] NULL,
	[e30790] [char](1) NULL,
	[e30800] [float] NULL,
	[e30810] [float] NULL,
	[e30820] [float] NULL,
	[e30830] [char](1) NULL,
	[e30840] [float] NULL,
	[e30850] [float] NULL,
	[e30860] [float] NULL,
	[e30870] [char](1) NULL,
	[e30880] [float] NULL,
	[e30890] [float] NULL,
	[e30900] [float] NULL,
	[e30910] [char](1) NULL,
	[e30920] [float] NULL,
	[e30930] [float] NULL,
	[e30940] [float] NULL,
	[e30950] [char](1) NULL,
	[e30960] [float] NULL,
	[e30970] [float] NULL,
	[e30980] [float] NULL,
	[e30990] [char](1) NULL,
	[e31000] [float] NULL,
	[e31010] [float] NULL,
	[e31020] [float] NULL,
	[e31030] [char](1) NULL,
	[e31040] [float] NULL,
	[e31045] [float] NULL,
	[e31050] [float] NULL,
	[e31060] [char](1) NULL,
	[e31070] [float] NULL,
	[e31080] [float] NULL,
	[e31090] [float] NULL,
	[e31100] [char](1) NULL,
	[e31110] [float] NULL,
	[e31120] [float] NULL,
	[e31130] [float] NULL,
	[e31140] [char](1) NULL,
	[e31150] [float] NULL,
	[e31160] [float] NULL,
	[e31170] [float] NULL,
	[e31180] [char](1) NULL,
	[e31190] [float] NULL,
	[e31200] [float] NULL,
	[e31210] [smallint] NULL,
	[e31220] [char](1) NULL,
	[e31230] [float] NULL,
	[e31240] [float] NULL,
	[e31250] [float] NULL,
	[e31260] [char](1) NULL,
	[e31270] [float] NULL,
	[e31280] [float] NULL,
	[e31290] [float] NULL,
	[e31300] [char](1) NULL,
	[e31310] [float] NULL,
	[e31320] [float] NULL,
	[e31330] [float] NULL,
	[e31340] [char](1) NULL,
	[e31350] [float] NULL,
	[e31360] [float] NULL,
	[e31370] [float] NULL,
	[e31380] [char](1) NULL,
	[e31390] [float] NULL,
	[e31400] [float] NULL,
	[e31410] [float] NULL,
	[e31420] [char](1) NULL,
	[e31430] [float] NULL,
	[e31440] [float] NULL,
	[e31450] [float] NULL,
	[e31460] [char](1) NULL,
	[e31470] [float] NULL,
	[e31480] [float] NULL,
	[e31490] [float] NULL,
	[e31500] [char](1) NULL,
	[e31505] [float] NULL,
	[e31510] [float] NULL,
	[e31520] [float] NULL,
	[e31530] [char](1) NULL,
	[e31540] [float] NULL,
	[e31550] [float] NULL,
	[e31560] [float] NULL,
	[e31570] [char](1) NULL,
	[e31580] [float] NULL,
	[e31590] [float] NULL,
	[e31600] [float] NULL,
	[e31610] [char](1) NULL,
	[e31620] [float] NULL,
	[e31630] [float] NULL,
	[e31640] [float] NULL,
	[e31650] [char](1) NULL,
	[e31660] [float] NULL,
	[e31670] [float] NULL,
	[e31671] [float] NULL,
	[e31672] [char](1) NULL,
	[e31673] [float] NULL,
	[e31674] [float] NULL,
	[e31680] [float] NULL,
	[e31690] [char](1) NULL,
	[e31700] [float] NULL,
	[e31710] [float] NULL,
	[e31720] [float] NULL,
	[e31730] [char](1) NULL,
	[e31740] [float] NULL,
	[e31750] [float] NULL,
	[e31760] [float] NULL,
	[e31770] [char](1) NULL,
	[e31780] [float] NULL,
	[e31790] [float] NULL,
	[e31800] [float] NULL,
	[e31810] [char](1) NULL,
	[e31820] [float] NULL,
	[e31830] [float] NULL,
	[e31840] [float] NULL,
	[e31850] [char](1) NULL,
	[e31860] [float] NULL,
	[e31870] [float] NULL,
	[e31871] [float] NULL,
	[e31872] [char](1) NULL,
	[e31873] [float] NULL,
	[e31874] [float] NULL,
	[e31875] [float] NULL,
	[e31876] [char](1) NULL,
	[e31877] [float] NULL,
	[e31878] [float] NULL,
	[e31880] [float] NULL,
	[e31890] [char](1) NULL,
	[e31900] [float] NULL,
	[e31910] [float] NULL,
	[e31920] [float] NULL,
	[e31930] [char](1) NULL,
	[e31940] [float] NULL,
	[e31950] [float] NULL,
	[e31960] [float] NULL,
	[e31970] [char](1) NULL,
	[e31980] [float] NULL,
	[e31990] [float] NULL,
	[e32000] [float] NULL,
	[e32010] [char](1) NULL,
	[e32020] [float] NULL,
	[e32030] [float] NULL,
	[e32040] [float] NULL,
	[e32050] [char](1) NULL,
	[e32060] [float] NULL,
	[e32070] [float] NULL,
	[e32080] [float] NULL,
	[e32090] [char](1) NULL,
	[e32100] [float] NULL,
	[e32110] [float] NULL,
	[e32120] [float] NULL,
	[e32130] [char](1) NULL,
	[e32140] [float] NULL,
	[e32150] [float] NULL,
	[e32160] [float] NULL,
	[e32170] [char](1) NULL,
	[e32180] [float] NULL,
	[e32190] [float] NULL,
	[e32200] [float] NULL,
	[e32210] [char](1) NULL,
	[e32220] [float] NULL,
	[e32230] [float] NULL,
	[e32240] [float] NULL,
	[e32250] [char](1) NULL,
	[e32260] [float] NULL,
	[e32270] [float] NULL,
	[e32280] [float] NULL,
	[e32290] [char](1) NULL,
	[e32300] [float] NULL,
	[e32310] [float] NULL,
	[e32320] [float] NULL,
	[e32330] [char](1) NULL,
	[e32340] [float] NULL,
	[e32350] [float] NULL,
	[e32360] [float] NULL,
	[e32370] [char](1) NULL,
	[e32380] [float] NULL,
	[e32390] [float] NULL,
	[e32400] [float] NULL,
	[e32410] [char](1) NULL,
	[e32420] [float] NULL,
	[e32430] [float] NULL,
	[e32440] [float] NULL,
	[e32450] [char](1) NULL,
	[e32460] [float] NULL,
	[e32470] [float] NULL,
	[e32480] [float] NULL,
	[e32490] [char](1) NULL,
	[e32500] [float] NULL,
	[e32510] [float] NULL,
	[e32520] [float] NULL,
	[e32530] [char](1) NULL,
	[e32540] [float] NULL,
	[e32550] [float] NULL,
	[e32560] [float] NULL,
	[e32570] [char](1) NULL,
	[e32580] [float] NULL,
	[e32590] [float] NULL,
	[e32640] [float] NULL,
	[e32650] [char](1) NULL,
	[e32660] [float] NULL,
	[e32670] [float] NULL,
	[e32680] [float] NULL,
	[e32690] [char](1) NULL,
	[e32700] [float] NULL,
	[e32710] [float] NULL,
	[e32720] [float] NULL,
	[e32730] [char](1) NULL,
	[e32740] [float] NULL,
	[e32750] [float] NULL,
	[e32760] [float] NULL,
	[e32770] [char](1) NULL,
	[e32780] [float] NULL,
	[e32790] [float] NULL,
	[e32800] [float] NULL,
	[e32810] [char](1) NULL,
	[e32820] [float] NULL,
	[e32830] [float] NULL,
	[e32840] [float] NULL,
	[e32850] [char](1) NULL,
	[e32860] [float] NULL,
	[e32870] [float] NULL,
	[e32880] [float] NULL,
	[e32890] [char](1) NULL,
	[e32900] [float] NULL,
	[e32910] [float] NULL,
	[e32920] [float] NULL,
	[e32930] [char](1) NULL,
	[e32940] [float] NULL,
	[e32950] [float] NULL,
	[e32960] [float] NULL,
	[e32970] [char](1) NULL,
	[e32980] [float] NULL,
	[e32990] [float] NULL,
	[e33000] [float] NULL,
	[e33010] [char](1) NULL,
	[e33020] [float] NULL,
	[e33030] [float] NULL,
	[e33040] [float] NULL,
	[e33050] [char](1) NULL,
	[e33060] [float] NULL,
	[e33070] [float] NULL,
	[e33080] [float] NULL,
	[e33090] [char](1) NULL,
	[e33100] [float] NULL,
	[e33110] [float] NULL,
	[e33120] [float] NULL,
	[e33130] [char](1) NULL,
	[e33140] [float] NULL,
	[e33145] [float] NULL,
	[e33150] [float] NULL,
	[e33160] [char](1) NULL,
	[e33170] [float] NULL,
	[e33180] [float] NULL,
	[e33190] [float] NULL,
	[e33200] [char](1) NULL,
	[e33210] [float] NULL,
	[e33220] [float] NULL,
	[e33230] [float] NULL,
	[e33240] [char](1) NULL,
	[e33250] [float] NULL,
	[e33260] [float] NULL,
	[e33265] [float] NULL,
	[e33270] [char](1) NULL,
	[e33280] [float] NULL,
	[e33290] [float] NULL,
	[e33295] [float] NULL,
	[e33300] [char](1) NULL,
	[e33310] [float] NULL,
	[e33320] [float] NULL,
	[e33330] [float] NULL,
	[e33340] [char](1) NULL,
	[e33350] [float] NULL,
	[e33360] [float] NULL,
	[e33370] [float] NULL,
	[e33380] [char](1) NULL,
	[e33390] [float] NULL,
	[e33400] [float] NULL,
	[e33410] [float] NULL,
	[e33420] [char](1) NULL,
	[e33430] [float] NULL,
	[e33440] [float] NULL,
	[e40000] [char](1) NULL,
	[e40010] [nvarchar](max) NULL,
	[e50100] [char](1) NULL,
	[e50110] [char](1) NULL,
	[e50120] [float] NULL,
	[e50130] [nvarchar](3) NULL,
	[e50200] [char](1) NULL,
	[e50210] [char](1) NULL,
	[e50220] [float] NULL,
	[e50230] [nvarchar](3) NULL,
	[e50300] [char](1) NULL,
	[e50310] [char](1) NULL,
	[e50320] [float] NULL,
	[e50330] [nvarchar](3) NULL,
	[e50400] [char](1) NULL,
	[e50410] [char](1) NULL,
	[e50420] [float] NULL,
	[e50430] [nvarchar](3) NULL,
	[e50500] [char](1) NULL,
	[e50510] [char](1) NULL,
	[e50520] [float] NULL,
	[e50530] [nvarchar](3) NULL,
	[e50600] [char](1) NULL,
	[e50610] [char](1) NULL,
	[e50620] [float] NULL,
	[e50630] [nvarchar](3) NULL,
	[e50640] [float] NULL,
	[e50650] [float] NULL,
	[e50660] [char](1) NULL,
	[e50700] [char](1) NULL,
	[e50710] [char](1) NULL,
	[e50720] [float] NULL,
	[e50730] [nvarchar](3) NULL,
	[e50800] [char](1) NULL,
	[e50810] [char](1) NULL,
	[e50820] [float] NULL,
	[e50830] [nvarchar](3) NULL,
	[e50900] [char](1) NULL,
	[e50910] [char](1) NULL,
	[e50920] [float] NULL,
	[e50930] [nvarchar](3) NULL,
	[e51000] [char](1) NULL,
	[e51010] [char](1) NULL,
	[e51020] [float] NULL,
	[e51030] [nvarchar](3) NULL,
	[e51040] [float] NULL,
	[e51050] [float] NULL,
	[e51060] [char](1) NULL,
	[e51100] [char](1) NULL,
	[e51110] [char](1) NULL,
	[e51120] [float] NULL,
	[e51130] [nvarchar](3) NULL,
	[e51200] [char](1) NULL,
	[e51210] [char](1) NULL,
	[e51220] [float] NULL,
	[e51230] [nvarchar](3) NULL,
	[e51300] [char](1) NULL,
	[e51310] [char](1) NULL,
	[e51320] [float] NULL,
	[e51400] [char](1) NULL,
	[e51410] [char](1) NULL,
	[e51420] [float] NULL,
	[e51430] [nvarchar](3) NULL,
	[e51500] [char](1) NULL,
	[e51510] [char](1) NULL,
	[e51520] [float] NULL,
	[e51530] [nvarchar](3) NULL,
	[e51540] [float] NULL,
	[e51550] [float] NULL,
	[e51560] [char](1) NULL,
	[e51600] [char](1) NULL,
	[e51610] [char](1) NULL,
	[e51620] [float] NULL,
	[e51630] [nvarchar](3) NULL,
	[e51640] [float] NULL,
	[e51650] [float] NULL,
	[e51660] [char](1) NULL,
	[e51700] [char](1) NULL,
	[e51710] [char](1) NULL,
	[e51720] [float] NULL,
	[e51730] [nvarchar](3) NULL,
	[e51800] [char](1) NULL,
	[e51810] [char](1) NULL,
	[e51820] [float] NULL,
	[e51830] [nvarchar](3) NULL,
	[e51900] [char](1) NULL,
	[e51910] [char](1) NULL,
	[e51920] [float] NULL,
	[e51930] [nvarchar](3) NULL,
	[e52000] [char](1) NULL,
	[e52010] [char](1) NULL,
	[e52020] [float] NULL,
	[e52030] [nvarchar](3) NULL,
	[e52100] [char](1) NULL,
	[e52110] [char](1) NULL,
	[e52120] [float] NULL,
	[e52130] [nvarchar](3) NULL,
	[e52200] [char](1) NULL,
	[e52210] [char](1) NULL,
	[e52220] [char](1) NULL,
	[e53000] [char](1) NULL,
	[e53010] [char](1) NULL,
	[e53020] [char](1) NULL,
	[e53030] [char](1) NULL,
	[e53040] [char](1) NULL,
	[e53050] [char](1) NULL,
	[e53060] [char](1) NULL,
	[e54000] [char](1) NULL,
	[e54010] [char](1) NULL,
	[e54020] [char](1) NULL,
	[e54030] [char](1) NULL,
	[e54040] [char](1) NULL,
	[e54050] [char](1) NULL,
	[e54060] [char](1) NULL,
	[e54070] [char](1) NULL,
	[e60400] [smallint] NULL,
	[e60410] [nvarchar](50) NULL,
	[e60420] [nvarchar](50) NULL,
	[e60430] [nvarchar](50) NULL,
	[e60440] [nvarchar](50) NULL,
	[e70000] [char](1) NULL,
	[e70010] [float] NULL,
	[e80000] [char](1) NULL,
	[e80010] [char](1) NULL,
	[e80020] [float] NULL,
	[e80030] [float] NULL,
	[e80040] [float] NULL,
	[e80050] [float] NULL,
	[e90000] [char](1) NULL,
	[e90010] [float] NULL,
	[e90020] [float] NULL,
	[e90030] [char](1) NULL,
	[e90040] [float] NULL,
	[e90050] [float] NULL,
	[e90060] [float] NULL,
	[e90070] [float] NULL,
	[e90080] [float] NULL,
	[e90090] [float] NULL,
	[e90100] [float] NULL,
	[e90110] [float] NULL,
	[e90120] [float] NULL,
	[e90130] [float] NULL,
	[e90140] [float] NULL,
	[e90150] [float] NULL,
	[e90160] [float] NULL,
	[e90170] [float] NULL,
	[e90180] [float] NULL,
	[e90190] [float] NULL,
	[e90200] [float] NULL,
	[e90210] [float] NULL,
	[e90220] [float] NULL,
	[e90230] [float] NULL,
	[e90240] [float] NULL,
	[e90250] [float] NULL,
	[e100000] [nvarchar](max) NULL,
	[e100010] [nvarchar](max) NULL,
	[lastmodified] [datetime] NOT NULL,
	CONSTRAINT [eek_pk] PRIMARY KEY CLUSTERED ([insref] ASC) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

